<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__esss__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_esss_config_t</compoundname>
    <includes local="no">cy_ble_ess.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__esss__config__t_1aabbf359aab2aa05f1544df2ef1d0f444" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__esss__t">cy_stc_ble_esss_t</ref> *</type>
        <definition>const cy_stc_ble_esss_t* cy_stc_ble_esss_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Service GATT DB Handles structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="279" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="279" />
      </memberdef>
      <memberdef id="structcy__stc__ble__esss__config__t_1a743aea30d790101a66b9edfdbac06703" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_ble_esss_config_t::charInstances</definition>
        <argsstring />
        <name>charInstances</name>
        <briefdescription>
<para>Number of AIOS Characteristics instances for server. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="282" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="282" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service configuration structure (server) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="503">
        <label>cy_stc_ble_esss_char_t</label>
        <link refid="structcy__stc__ble__esss__char__t" />
      </node>
      <node id="501">
        <label>cy_stc_ble_esss_t</label>
        <link refid="structcy__stc__ble__esss__t" />
        <childnode refid="502" relation="usage">
          <edgelabel>charInfoAddr</edgelabel>
        </childnode>
      </node>
      <node id="500">
        <label>cy_stc_ble_esss_config_t</label>
        <link refid="structcy__stc__ble__esss__config__t" />
        <childnode refid="501" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="502">
        <label>cy_stc_ble_esss_char_info_ptr_t</label>
        <link refid="structcy__stc__ble__esss__char__info__ptr__t" />
        <childnode refid="503" relation="usage">
          <edgelabel>charInfoPtr</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="284" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="276" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="277" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__esss__config__t_1aabbf359aab2aa05f1544df2ef1d0f444" virt="non-virtual"><scope>cy_stc_ble_esss_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__esss__config__t_1a743aea30d790101a66b9edfdbac06703" virt="non-virtual"><scope>cy_stc_ble_esss_config_t</scope><name>charInstances</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>